List statements
curl --request GET \
--url https://api.anchorage-staging.com/v2/statements \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/statements"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"customerId": "fbcdb420fca4439d919089e60d59cd5b12b692d215694681b636bffb6cb1618c",
"createdAt": "2025-03-27T17:15:42.793685Z",
"displayName": "ETF Statement October 2025",
"id": "8de0fc33-7443-4dcf-bbf1-4ca8d0e0509f",
"typeId": "058da362-31a7-4e2b-ae3e-77b095389a5f"
},
{
"customerId": "fbcdb420fca4439d919089e60d59cd5b12b692d215694681b636bffb6cb1618c",
"createdAt": "2025-04-01T00:15:00.738904Z",
"displayName": "ETF Statement December 2025",
"id": "db3021e7-b2c4-4b80-8d9c-b754f1b4ef5f",
"typeId": "058da362-31a7-4e2b-ae3e-77b095389a5f"
},
{
"customerId": "fbcdb420fca4439d919089e60d59cd5b12b692d215694681b636bffb6cb1618c",
"createdAt": "2025-09-01T00:47:16.937934Z",
"displayName": "ETF Statement September 2025",
"id": "a7f61ad0-89fe-4e9d-9285-7219d7c51c6b",
"typeId": "058da362-31a7-4e2b-ae3e-77b095389a5f"
}
],
"page": {
"next": null
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List statements
List statements.
GET
/
statements
List statements
curl --request GET \
--url https://api.anchorage-staging.com/v2/statements \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/statements"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"customerId": "fbcdb420fca4439d919089e60d59cd5b12b692d215694681b636bffb6cb1618c",
"createdAt": "2025-03-27T17:15:42.793685Z",
"displayName": "ETF Statement October 2025",
"id": "8de0fc33-7443-4dcf-bbf1-4ca8d0e0509f",
"typeId": "058da362-31a7-4e2b-ae3e-77b095389a5f"
},
{
"customerId": "fbcdb420fca4439d919089e60d59cd5b12b692d215694681b636bffb6cb1618c",
"createdAt": "2025-04-01T00:15:00.738904Z",
"displayName": "ETF Statement December 2025",
"id": "db3021e7-b2c4-4b80-8d9c-b754f1b4ef5f",
"typeId": "058da362-31a7-4e2b-ae3e-77b095389a5f"
},
{
"customerId": "fbcdb420fca4439d919089e60d59cd5b12b692d215694681b636bffb6cb1618c",
"createdAt": "2025-09-01T00:47:16.937934Z",
"displayName": "ETF Statement September 2025",
"id": "a7f61ad0-89fe-4e9d-9285-7219d7c51c6b",
"typeId": "058da362-31a7-4e2b-ae3e-77b095389a5f"
}
],
"page": {
"next": null
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
Required range:
1 <= x <= 100Example:
"2019-01-02T12:34:56.000Z"
Example:
"2019-01-02T12:34:56.000Z"
Filter for statements corrected at or after this time
Example:
"2019-01-02T12:34:56.000Z"
Filter for statements corrected at or before this time
Example:
"2019-01-02T12:34:56.000Z"
Was this page helpful?